## ros-foxy-rosauth 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosauth)

find_package(ament_cmake_ros REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(OpenSSL REQUIRED)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

rosidl_generate_interfaces(${PROJECT_NAME}
  srv/Authentication.srv
  DEPENDENCIES builtin_interfaces
)

add_executable(ros_mac_authentication src/ros_mac_authentication.cpp)
add_dependencies(ros_mac_authentication ${PROJECT_NAME})
ament_target_dependencies(ros_mac_authentication rclcpp)
rosidl_target_interfaces(
  ros_mac_authentication ${PROJECT_NAME} "rosidl_typesupport_cpp")
target_link_libraries(ros_mac_authentication crypto)

## Specify libraries to link a library or executable target against
target_link_libraries(ros_mac_authentication ${catkin_LIBRARIES} OpenSSL::SSL OpenSSL::Crypto)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

install(TARGETS ros_mac_authentication
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

#############
## Testing ##
#############

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  ## Add gtest based cpp test target and link libraries
  ament_add_gtest_executable(ros_mac_authentication_test test/ros_mac_authentication_test.cpp)
  rosidl_target_interfaces(ros_mac_authentication_test
    ${PROJECT_NAME} "rosidl_typesupport_cpp")
  ament_target_dependencies(ros_mac_authentication_test builtin_interfaces rclcpp)
  target_link_libraries(ros_mac_authentication_test crypto dl pthread)

  # TODO replace parameter file with just passing the parameter once that is supported
  set(PARAMETERS_YAML_FILE "${CMAKE_CURRENT_BINARY_DIR}/secret.yaml")
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/test/secret.yaml.in"
    "${PARAMETERS_YAML_FILE}"
    @ONLY
  )

  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/test/valid.secret"
    "${CMAKE_CURRENT_BINARY_DIR}/valid.secret"
    COPYONLY
  )

  set(ROS_MAC_AUTHENTICATION_EXECUTABLE $<TARGET_FILE:ros_mac_authentication>)
  set(ROS_MAC_AUTHENTICATION_TEST_EXECUTABLE $<TARGET_FILE:ros_mac_authentication_test>)
  set(generated_test_file "${CMAKE_CURRENT_BINARY_DIR}/ros_mac_authentication_test")
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/test/ros_mac_authentication_test.py.in"
    "${generated_test_file}.py.genexp"
    @ONLY)
  file(GENERATE
    OUTPUT "${generated_test_file}_$<CONFIG>.py"
    INPUT "${generated_test_file}.py.genexp"
  )
  ament_add_test(tests
    COMMAND "${generated_test_file}_$<CONFIG>.py"
    GENERATE_RESULT_FOR_RETURN_CODE_ZERO)
endif()

=== debian/changelog ===
ros-foxy-rosauth (2.0.2-1focal) focal; urgency=high

  * Fixing tests for foxy. (#32 <https://github.com/GT-RAIL/rosauth/issues/32>)
  * Contributors: Joshua Whitley

 -- Rein Appeldoorn <rein@eurotec.com>  Mon, 07 Dec 2020 23:00:00 -0000

ros-foxy-rosauth (2.0.1-1focal) focal; urgency=high

  * add missing test dependency

 -- Rein Appeldoorn <rein@eurotec.com>  Wed, 18 Sep 2019 22:00:00 -0000

ros-foxy-rosauth (2.0.0-1focal) focal; urgency=high

  * Port to ROS 2

 -- Rein Appeldoorn <rein@eurotec.com>  Wed, 18 Sep 2019 22:00:00 -0000

ros-foxy-rosauth (1.0.1-1focal) focal; urgency=high

  * Fix buffer overrun (#19 <https://github.com/GT-RAIL/rosauth/issues/19>)
  * enable Windows build (#25 <https://github.com/GT-RAIL/rosauth/issues/25>)
  * Contributors: Atsushi Watanabe, James Xu

 -- Rein Appeldoorn <rein@eurotec.com>  Sun, 01 Sep 2019 22:00:00 -0000

ros-foxy-rosauth (1.0.0-1focal) focal; urgency=high

  * chore: Update README, Author, maintainer
  * fix: rostest test dependency (#26 <https://github.com/GT-RAIL/rosauth/issues/26>)
  * new: parameters in node namespace (#22 <https://github.com/GT-RAIL/rosauth/issues/22>)
  * new: parameter for allowed_time_delta (#24 <https://github.com/GT-RAIL/rosauth/issues/24>)
  * Industrial CI ROS kinetic, melodic
  * Use package format 2
  * Contributors: David Kent, Dirk Thomas, Rein Appeldoorn, Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Thu, 29 Aug 2019 22:00:00 -0000

ros-foxy-rosauth (0.1.7-1focal) focal; urgency=high

  * Merge pull request #8 from ckrooss/develop
    Added gencpp-dependency for test target
  * Added gencpp-dependency for test target
  * Contributors: Russell Toris, ckrooss

 -- Rein Appeldoorn <rein@eurotec.com>  Sun, 09 Aug 2015 22:00:00 -0000

ros-foxy-rosauth (0.1.6-1focal) focal; urgency=high

  * Merge pull request #5 from cottsay/hydro-devel
    missing libssl-dev during build
  * Added libssl-dev to build_depend
  * Contributors: Russell Toris, Scott K Logan

 -- Rein Appeldoorn <rein@eurotec.com>  Mon, 23 Mar 2015 23:00:00 -0000

ros-foxy-rosauth (0.1.5-1focal) focal; urgency=high

  * Merge pull request #6 from forouher/develop
    add missing catkin dependencies
  * add missing catkin dependencies
  * Now runs hydro and groovy
  * fixed dox file
  * Contributors: Dariush Forouher, Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Mon, 01 Dec 2014 23:00:00 -0000

ros-foxy-rosauth (0.1.4-1focal) focal; urgency=high

  * dox file fixed
  * authors file added
  * travis now runs tests
  * cleanup for indigo
  * Merge branch 'hydro-devel' of github.com:WPI-RAIL/rosauth into develop
  * Merge pull request #4 <https://github.com/WPI-RAIL/rosauth/issues/4> from FriedCircuits/hydro-devel
    Add IF for rostest
  * Add IF for rostest
  * switched to sha512
  * bug in rosauth fixed
  * Contributors: Russell Toris, William

 -- Rein Appeldoorn <rein@eurotec.com>  Wed, 02 Apr 2014 22:00:00 -0000

ros-foxy-rosauth (0.1.3-1focal) focal; urgency=high

  * possible cmake fix
  * test cmake fix
  * test cmake fix
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Tue, 30 Apr 2013 22:00:00 -0000

ros-foxy-rosauth (0.1.2-1focal) focal; urgency=high

  * Merge pull request #1 <https://github.com/WPI-RAIL/rosauth/issues/1> from rctoris/groovy-devel
    ros_hash_authentication renamed to ros_mac_authentication
  * ros_hash_authentication renamed to ros_mac_authentication
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Mon, 11 Mar 2013 23:00:00 -0000

ros-foxy-rosauth (0.1.1-1focal) focal; urgency=high

  * version 0.1.1 of rosauth
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Sun, 27 Jan 2013 22:15:00 -0000

ros-foxy-rosauth (0.1.0-1focal) focal; urgency=high

  * dependencies fixed
  * catkin release
  * test cases added
  * test cases added
  * initial import
  * Create README
  * Contributors: Russell Toris

 -- Rein Appeldoorn <rein@eurotec.com>  Sun, 27 Jan 2013 09:33:00 -0000

=== debian/control ===
Source: ros-foxy-rosauth
Section: misc
Priority: optional
Maintainer: Rein Appeldoorn <rein@eurotec.com>
Build-Depends: debhelper (>= 9.0.0), libssl-dev, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-ros, ros-foxy-launch-testing, ros-foxy-rclcpp, ros-foxy-rosidl-default-generators, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/rosauth
Standards-Version: 3.9.2

Package: ros-foxy-rosauth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-rclcpp, ros-foxy-rosidl-default-runtime, ros-foxy-ros-workspace
Description: Server Side tools for Authorization and Authentication of ROS Clients

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rosauth//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
